#
# spec file for package icu (Version 3.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           icu
BuildRequires:  gcc-c++
License:        IBM Public License
Group:          System/Libraries
AutoReqProv:    on
Version:        3.4
Release:        36
Requires:       libicu = %{version}
Url:            http://ibm.com/software/globalization/icu
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-docs.tar.bz2
Source3:        SuSEconfig.icu
Patch0:         libicu-regex.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        International Components for Unicode

%description
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode and locale support. The library provides calendar
support, conversions for many character sets, language sensitive
collation, date and time formatting, support for many locales, message
catalogs and resources, message formatting, normalization, number and
currency formatting, time zone support, transliteration, and word,
line, and sentence breaking, etc.

This package contains the Unicode character database and derived
properties along with converters and time zone data.

This package contains the runtime libraries for ICU. It does not
contain any of the data files needed at runtime and present in the icu
and icu-locales packages.



Authors:
--------
    The ICU project, International Business Machines (IBM) and Others.  <icu@oss.software.ibm.com>

%debug_package
%package -n libicu
Summary:        International Components for Unicode (development files)
Group:          Development/Libraries/C and C++
Provides:       libicu17 libicu22 libicu26 libicu30 libicu32 libicu34
Obsoletes:      libicu17 libicu22 libicu26 libicu30 libicu32 libicu34 icu-i18ndata

%description -n libicu
ICU is a set of C and C++ libraries that provides robust and
full-featured Unicode support. This package contains the runtime
libraries for ICU. It does not contain any of the data files needed at
runtime and present in the `icu' and `icu-locales` packages.



Authors:
--------
    The ICU project, International Business Machines (IBM) and Others.  <icu@oss.software.ibm.com>

%package -n libicu-devel
Summary:        International Components for Unicode (development files)
Group:          Development/Libraries/C and C++
Requires:       libicu = %{version}

%description -n libicu-devel
ICU is a C++ and C library that provides robust and full-featured
Unicode support. This package contains the development files for ICU.



Authors:
--------
    The ICU project, International Business Machines (IBM) and Others.  <icu@oss.software.ibm.com>

%package -n libicu-doc
Summary:        International Components for Unicode  (html documentation)
Group:          Development/Libraries/C and C++

%description -n libicu-doc
ICU is a C++ and C library that provides robust and full-featured
Unicode support. This package contains the html documentation.



Authors:
--------
    The ICU project, International Business Machines (IBM) and Others.  <icu@oss.software.ibm.com>

%package -n icu-data
Summary:        International Components for Unicode (Sources for the Data in ICU)
Group:          System/Libraries
Requires:       libicu >= %{version}

%description -n icu-data
ICU is a C++ and C library that provides robust and full-featured
Unicode support. This package contains the source files for the data
found in the "icu" package.

This data describes the Unicode data (normative and informative) and
also all the table-based converters provided in the ICU distribution.

This package contains uncompiled source data. Precompiled data is in
the `libicu%{version}' package.



Authors:
--------
    The ICU project, International Business Machines (IBM) and Others.  <icu@oss.software.ibm.com>

%prep
%setup -q -n icu -a1
%patch0 -p0

%build
cd source
rm -f config.cache
%{?suse_update_config:%{suse_update_config -f }}
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --prefix=/usr \
    --sysconfdir=/etc \
    --datadir=/usr/share \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared \
    --enable-static \
    --without-samples \
    %{_target_cpu}-suse-linux-gnu
make
#make check

%install
rm -rf $RPM_BUILD_ROOT
find . -name CVS -type d | xargs rm -rf
cd source
make DESTDIR=$RPM_BUILD_ROOT install
# to extract debug info
chmod a+rx $RPM_BUILD_ROOT%{_libdir}/*.so.*
# install uncompiled source data:
mkdir -p $RPM_BUILD_ROOT/usr/share/icu/%{version}/unidata
install -m 644 data/unidata/*.txt $RPM_BUILD_ROOT/usr/share/icu/%{version}/unidata
ln -s unidata/UnicodeData.txt $RPM_BUILD_ROOT/usr/share/icu/%{version}/
# run test suite:
#pushd data
#ln -sf build/*.cnv build/*.res build/*.dat build/*.brk .
#popd
#make check || echo "make check returned $?, ignored."
#popd
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d/
sed -e "s/@ICUVERSION@/%{version}/g" < ${RPM_SOURCE_DIR}/SuSEconfig.icu > ./SuSEconfig.icu
install -m 755 ./SuSEconfig.icu $RPM_BUILD_ROOT/sbin/conf.d/
rm $RPM_BUILD_ROOT/usr/share/icu/%{version}/license.html

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libicu
%run_ldconfig

%postun -n libicu
%run_ldconfig

%files
%defattr(-, root, root)
%doc license.html readme.html
%dir %{_libdir}/icu/
%dir %{_libdir}/icu/%{version}
%{_libdir}/icu/current
/usr/bin/derb
/usr/bin/genbrk
/usr/bin/gencnval
/usr/bin/genrb
/usr/bin/makeconv
/usr/bin/pkgdata
/usr/bin/uconv
/usr/sbin/*
%{_mandir}/*/*
/sbin/conf.d/SuSEconfig.icu

%files -n libicu
%defattr(-, root, root)
%attr (755, root, root) %{_libdir}/lib*.so.*

%files -n libicu-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
/usr/include/unicode/
/usr/include/layout/
%{_libdir}/icu/%{version}/Makefile.inc
%{_libdir}/icu/Makefile.inc
/usr/bin/icu-config
%dir /usr/share/icu
%dir /usr/share/icu/%{version}
/usr/share/icu/%{version}/mkinstalldirs
/usr/share/icu/%{version}/config/

%files -n libicu-doc
%defattr(-, root, root)
%doc html/
%doc packaging/

%files -n icu-data
%defattr(-, root, root)
%dir /usr/share/icu/%{version}/unidata
/usr/share/icu/%{version}/unidata/*
/usr/share/icu/%{version}/UnicodeData.txt

%changelog
* Wed Feb 13 2008 - maw@suse.de
- Add libicu-regex.patch (bnc#354372).
* Mon Feb 13 2006 - olh@suse.de
- mark libraries as executable to extract debuginfo
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 03 2005 - sbrabec@suse.cz
- Updated to version 3.4.
* Mon Mar 28 2005 - gekker@suse.de
- Move icu-config to libicu-devel package (8030).
* Mon Jan 10 2005 - sbrabec@suse.cz
- Updated to version 3.2 (#49578).
  Updated by Robert Schiele <rschiele@uni-mannheim.de>.
- Added -fno-strict-aliasing.
* Fri Nov 19 2004 - ro@suse.de
- ignore return-code from strip call
* Tue May 25 2004 - clahey@suse.de
- Removed --with-data-packaging=files.  Fixes gtk-sharp compilation.
* Mon May 24 2004 - clahey@suse.de
- Updated to 2.6.2.
* Wed Mar 31 2004 - mfabian@suse.de
- Bugzilla #37029: "strip --strip-debug" static libraries to save
  space on the CDs.
* Fri Jan 23 2004 - uli@suse.de
- removed --disable-rpath; it is unnecessary and breaks the
  icu-config script
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Sep 23 2003 - mfabian@suse.de
- Bugzilla #31665: "SuSEconfig.icu is not lib64 clean" fixed.
* Mon Aug 18 2003 - mfabian@suse.de
- update to 2.6.
* Mon Jun 16 2003 - mfabian@suse.de
- fix "directory not owned by any package".
* Fri May 16 2003 - mfabian@suse.de
- fix file list, remove CVS directories.
* Wed Sep 11 2002 - mfabian@suse.de
- /usr/sbin/gencnval is now in /usr/bin/gencnval.
  Fix SuSEconfig.icu accordingly.
* Sat Aug 17 2002 - mfabian@suse.de
- update to 2.2
* Sun Aug 11 2002 - mfabian@suse.de
- add Provides: libicu17 to libicu21 subpackage
  (to trigger the selection of the new package during update.)
* Fri Aug 09 2002 - mfabian@suse.de
- update to 2.1
* Tue Mar 12 2002 - mfabian@suse.de
- use %%{_libdir}
* Tue Mar 12 2002 - kukuk@suse.de
- Fix most wrong directories in filelist
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is "j"
* Wed Mar 07 2001 - mfabian@suse.de
- new package: icu 1.7
- package names as described in PACKAGING
